CurveTangentPoint

Finds the location on a curve that is tangent to a test point.

Syntax

Rhino.CurveTangentPoint (strObject, dblParameter, arrPoint)

Parameters

strObject

Required.  String.  The object's identifier.

dblParameter

Required.  Number.  A "seed" parameter on the curve.

arrPoint

Required.  Array.  The test point.

Returns

Number

The parameter on the curve that is tangent with the test point if successful.

Null

If not successful, or on error.

Example

Dim arrSelect, arrPoint, dblCrvT, arrCrvPt

arrSelect = Rhino.GetCurveObject

If IsArray(arrSelect) Then

  arrPoint = Rhino.GetPoint

  If IsArray(arrPoint) Then

    dblCrvT = Rhino.CurveTangentPoint(arrSelect(0), arrSelect(4), arrPoint)

    arrCrvPt = Rhino.EvaluateCurve(arrSelect(0), dblCrvT)

    Call Rhino.AddLine(arrCrvPt, arrPoint)

  End If

End If

Also See

CurvePerpPoint